summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorPete Batard <pete@akeo.ie>2012-05-02 12:06:36 +0100
committerPete Batard <pete@akeo.ie>2012-05-02 12:06:36 +0100
commitae1124c112c88e807fb5f500846c9b12ea882122 (patch)
treea9cb78a3c74fe9473b0759278fe77dc4b63c1cd7 /bootstrap.sh
parentec1cc1cc5c2766c802cfb326636687c0a9459e0b (diff)
downloadlibusbx-ae1124c112c88e807fb5f500846c9b12ea882122.tar.gz
Autotools: Add bootstrap.sh
bootstrap.sh does not invoke configure whereas autogen.sh does. This allows libusbx users to choose the one that suits them best.
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 0000000..3e9574a
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# use libtoolize if available, otherwise look for glibtoolize (darwin)
+if (libtoolize --version) < /dev/null > /dev/null 2>&1; then
+ LIBTOOLIZE=libtoolize
+elif (glibtoolize --version) < /dev/null > /dev/null 2>&1; then
+ LIBTOOLIZE=glibtoolize
+else
+ echo "libtoolize or glibtoolize was not found! Please install libtool."
+ exit
+fi
+
+$LIBTOOLIZE --copy --force || exit 1
+aclocal || exit 1
+autoheader || exit 1
+autoconf || exit 1
+automake -a -c || exit 1